Summary:   Cyrillic text conversion utility
Name:      ktextdecode
Version:   3.0
Release:   1
Copyright: GPL
Vendor:    Zavolzhsky Alexandr <zavolzhsky@mail.ru>
Packager:  Zavolzhsky Alexandr <zavolzhsky@mail.ru>
Url:       http://webua.net/zavolzhsky
Group:     Graphical Desktop/KDE
Source:    ktextdecode-3.0.tar.gz
BuildRoot: /tmp/buildroot

%description
Cyrillic text decoder is just the simple text
conversion utility with support for the following
decode types:
- Dos text file -> Unix text file
- Unix text file -> Dos text file
- Windows text file -> Unix text file
- Unix text file -> Windows text file
- ISO8859-5 text file -> Unix text file
- Unix text file -> ISO8859-5 text file

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.ktextdecode
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.ktextdecode
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.ktextdecode

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/ktextdecode
rm -rf ../file.list.ktextdecode


%files -f ../file.list.ktextdecode
