/*
    KTextDecode
    Version 3.0, 21 November 2001
    (C) 2002 Zavolzhsky Alexandr <zavolzhsky@mail.ru>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <kapp.h>
#include <klocale.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include "ktextdecode.h"

int main(int argc,char **argv)
{
  KAboutData *aboutData = new KAboutData("ktextdecode",
             "Text Decode","3.0",
             "Cyrillic text decoder",
             KAboutData::License_GPL,
             "(C) 2002 Zavolzhsky Alexandr","",
             "http://webua.net/zavolzhsky");
  aboutData->addAuthor("Zavolzhsky Alexandr",
               "Developer/Mantainer",
               "zavolzhsky@mail.ru",
               "http://webua.net/zavolzhsky");

  KCmdLineArgs::init(argc, argv, aboutData);
  KApplication app;

  KTextDecode *ktextdecode = new KTextDecode;
  app.setMainWidget(ktextdecode);
  ktextdecode->setPlainCaption("Cyrillic text decoder");
  ktextdecode->show();

  return app.exec();
}
